LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 10-13-2012, 02:41 PM   #1
atelszewski
Member
 
Registered: Aug 2007
Distribution: Slackware
Posts: 948

Rep: Reputation: Disabled
Slackware 14.0 - Official LLVM SlackBuild "set -e" error


Hi,

The official llvm.SlackBuild from 14.0 misses the "set -e" or any other form of error protection.

Due to this, I was watching the script changing the permissions of every file in my rootfs / of my shiny newly installed system with ~100 just compiled slackbuilds.org packages... I just changed the VERSION from 3.0 to 3.1 and tried to build this

OOT: any one having troubles using clang 3.0 with "-Wall" flag on 64 bit version of Slackware 14.0? In my case the compiler segfaults if I try to compile simple C file. Without "-Wall" it compiles fine.

--
Best regards,
Andrzej Telszewski
 
Old 10-13-2012, 03:20 PM   #2
GazL
LQ Veteran
 
Registered: May 2008
Posts: 6,873

Rep: Reputation: 4982Reputation: 4982Reputation: 4982Reputation: 4982Reputation: 4982Reputation: 4982Reputation: 4982Reputation: 4982Reputation: 4982Reputation: 4982Reputation: 4982
Yes, '-Wall' results in a seg-fault here too.

Thanks for the warning about the slackbuild. I was thinking of updating that myself.
 
Old 10-13-2012, 05:00 PM   #3
Alien Bob
Slackware Contributor
 
Registered: Sep 2005
Location: Eindhoven, The Netherlands
Distribution: Slackware
Posts: 8,559

Rep: Reputation: 8104Reputation: 8104Reputation: 8104Reputation: 8104Reputation: 8104Reputation: 8104Reputation: 8104Reputation: 8104Reputation: 8104Reputation: 8104Reputation: 8104
I've sent Pat a fix for that SlackBuild.

It goes like this:

Code:
--- source/d/llvm/llvm.SlackBuild.orig  2012-07-13 17:07:35.000000000 +0200
+++ source/d/llvm/llvm.SlackBuild       2012-10-13 23:56:33.194421973 +0200
@@ -61,14 +61,14 @@
 mkdir -p $TMP $PKG
 cd $TMP
 rm -rf $PKGNAM-${VERSION}.src
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
 
 if [ "$CLANG" = "no" ]; then
-  cd $PKGNAM-${VERSION}.src
+  cd $PKGNAM-${VERSION}.src || exit 1
 else
-  cd $PKGNAM-${VERSION}.src/tools
+  cd $PKGNAM-${VERSION}.src/tools || exit 1
   rm -rf clang clang-${VERSION}.src
-  tar xvf $CWD/clang-$VERSION.tar.xz
+  tar xvf $CWD/clang-$VERSION.tar.xz || exit 1
   mv clang-${VERSION}.src clang
   cd ../
Eric
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Slackbuild enconters error with missing "ibus.csh" ShellyCat Slackware 3 01-11-2011 07:07 AM
Fedora 10 iwconfig error: Error for wireless request "Set Encode" (8B2A) :SET failed mishkind Linux - Laptop and Netbook 2 05-10-2009 02:43 PM
error: Error for wireless request "Set Mode" (8B06) : invalid argument "roaming" penguin chick Linux - Wireless Networking 5 08-22-2008 01:16 PM
A feed for the "official slackware forum" Actuarybrad Slackware 10 05-23-2006 04:10 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 10:39 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration